Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.validation
Class RuleFlowProcessValidator

    java.lang.Object
      org.jbpm.ruleflow.core.validation.RuleFlowProcessValidator

All Implemented Interfaces:
  ProcessValidator

    public class RuleFlowProcessValidator

extends Object
implements ProcessValidator

Default implementation of a RuleFlow validator.

Field Summary
`static String` | `ASSOCIATIONS`

Method Summary
`boolean` | `accept(Process process, Resource resource)`
`boolean` | `compilationSupported()`
`static RuleFlowProcessValidator` | `getInstance()`
`protected void` | `validateCompensationIntermediateOrEndEvent(Node node, RuleFlowProcess process, List<ProcessValidationError> errors)`
`ProcessValidationError[]` | `validateProcess(Process process)`
`ProcessValidationError[]` | `validateProcess(RuleFlowProcess process)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASSOCIATIONS

    public static final String ASSOCIATIONS

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static RuleFlowProcessValidator getInstance()

### validateProcess

    public ProcessValidationError[] validateProcess(RuleFlowProcess process)

### validateProcess

    public ProcessValidationError[] validateProcess(Process process)

  Specified by:
    `validateProcess` in interface `ProcessValidator`

### accept

    public boolean accept(Process process,
                          Resource resource)

  Specified by:
    `accept` in interface `ProcessValidator`

### validateCompensationIntermediateOrEndEvent

    protected void validateCompensationIntermediateOrEndEvent(Node node,
                                                              RuleFlowProcess process,
                                                              List<ProcessValidationError> errors)

### compilationSupported

    public boolean compilationSupported()

  Specified by:
    `compilationSupported` in interface `ProcessValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.